VERSION 5.00
Begin VB.Form ResolveForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "P4OFC - Resolve Conflicts"
   ClientHeight    =   4140
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4560
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4140
   ScaleWidth      =   4560
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton OKButton 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   840
      TabIndex        =   5
      Top             =   3600
      Width           =   1215
   End
   Begin VB.CommandButton CancelButton 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2400
      TabIndex        =   4
      Top             =   3600
      Width           =   1215
   End
   Begin VB.OptionButton ResolveOption 
      Caption         =   "&Undo check-out and discard your changes."
      Height          =   615
      Index           =   2
      Left            =   600
      TabIndex        =   3
      Top             =   2760
      Width           =   2895
   End
   Begin VB.OptionButton ResolveOption 
      Caption         =   "Check in &your version, superseding the changes in the current depot version."
      Height          =   615
      Index           =   1
      Left            =   600
      TabIndex        =   2
      Top             =   2040
      Width           =   2895
   End
   Begin VB.OptionButton ResolveOption 
      Caption         =   $"ResolveForm.frx":0000
      Height          =   1095
      Index           =   0
      Left            =   600
      TabIndex        =   1
      Top             =   840
      Width           =   2895
   End
   Begin VB.Label Label1 
      Caption         =   $"ResolveForm.frx":0097
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4335
   End
End
Attribute VB_Name = "ResolveForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Note that these values should correspond to the indexes of the OptionButtons
Public Enum ResolveAction
    CancelCheckin = 0
    AcceptYours = 1
    AcceptTheirs = 2
End Enum

Private m_Action As ResolveAction

Public Function Action() As ResolveAction
    Dim t As Tracker: Set t = GStackTrace.Enter(TypeName(Me), "Action")
    Me.ResolveOption(CancelCheckin).Value = True
    Screen.MousePointer = vbDefault
    ShowForm Me, Modal:=True
    Action = m_Action
    Unload Me
End Function

Private Sub CancelButton_Click()
    On Error GoTo Error_Block
    Dim t As Tracker: Set t = GStackTrace.Enter(TypeName(Me), "CancelButton_Click")

    Me.Hide
    m_Action = CancelCheckin
    Exit Sub

Error_Block:
    t.Report
End Sub

Private Sub OKButton_Click()
    On Error GoTo Error_Block
    Dim t As Tracker: Set t = GStackTrace.Enter(TypeName(Me), "OKButton_Click")

    Dim i As Integer

    Me.Hide
    If ResolveOption(CancelCheckin).Value Then
        m_Action = CancelCheckin
    ElseIf ResolveOption(AcceptTheirs).Value Then
        m_Action = AcceptTheirs
    Else
        m_Action = AcceptYours
    End If

    Exit Sub

Error_Block:
    t.Report
End Sub
